#!/bin/bash
SCRIPT_NAME=$(basename $0)

ROOT_KEYS_DIR="/root/.ssh/"
WEB_KEYS_DIR="/usr/local/gesa/public_html/data/ssh_keys/"
KEY_NAME="gesa_key"

# If not exist create directories
if [ ! -d "$ROOT_KEYS_DIR" ]; then
	mkdir -p "$ROOT_KEYS_DIR"
fi
if [ ! -d "$WEB_KEYS_DIR" ]; then
	mkdir -p "$WEB_KEYS_DIR"
fi

# Check if there is a gesa_key.pub in /root/.ssh/ If not create it
if [ ! -r "$ROOT_KEYS_DIR$KEY_NAME.pub" ]; then
	ssh-keygen -t rsa -b 4096 -N "" -f "$ROOT_KEYS_DIR$KEY_NAME" -q
fi

# Check if the gesa_key.pub in /root/.ssh/ is the same than in web directory. If not copy it
cmp -s $ROOT_KEYS_DIR$KEY_NAME.pub $WEB_KEYS_DIR$KEY_NAME.pub
if [ $? -ne 0 ]; then
	cp "$ROOT_KEYS_DIR$KEY_NAME.pub" "$WEB_KEYS_DIR$KEY_NAME.pub"
fi

exit 0
