<?php
/**
*** @name index.php
**/

$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path . 'common.php';

$smarty->assign('section', 'home');

try
{
    // Common & diag data will be loaded by Ajax request to improve performances
    // Fetch additional data (Fast to retreive)
    $gesa = Model_gesa::setGESACommonInfos($gesa);
    $gesa = Model_gesa::setGESANetworkCommon($gesa);
    $smarty->assign('gesa', $gesa->toArray());
    
    // Get maj & esia-packages data
    // Get last update infos
    $updates = getGesaLastUpdate();
    $updates['auto'] = $lang['AUTO_UPDATES_NOT_CONFIGURED'];
    // Get auto update infos
    if(file_exists(GESA_UPDATES_CRON_FILE))
    {
        $content = file_get_contents(GESA_UPDATES_CRON_FILE);
        if(preg_match('/([0-9]{1,2})\s([0-9]{1,2}).*' . preg_quote(GESA_UPDATES_SCRIPT_FILE, '/') . '$/m', trim($content), $ret))
        {
            if(isset($ret[1]) && isset($ret[2]))
            {
                // $ret[1] == minutes & $ret[2] == hours
                $autoUpdDate = new DateTime();
                $autoUpdDate->setTime(intval($ret[2]), intval($ret[1]));
                $updates['auto'] = $autoUpdDate->format('H:i:s');
            }
        }
    }
    $smarty->assign('updates', $updates);

    $packages = array();
    $ret = shell_exec('dpkg -l | grep "gesa-*\|esia-*"');
	if(!empty($ret))
	{
        $ret = preg_split('/\r\n|\r|\n/', trim($ret));
        foreach($ret as $line)
        {
            $packages[] = preg_split('/\t+|\s{2,}/', $line);
        }
	}
    $smarty->assign('packages', $packages);

    // Get interfaces infos
    $interfaces = getIfsInfos();
    $smarty->assign('interfaces', $interfaces);
}
catch(GesaException | Exception $e)
{
	$errors[] = $e->getMessage();
}
$smarty->assign('errors', $errors);
$smarty->assign('action', $action);

$smarty->display(TPL_PATH . 'index.html');
?>
